GNU bug report logs - #37218
Regarding the error "java.util.zip.ZipException: Corrupt GZIP trailer"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Anoopanand Malik <anoopanand.malik@HIDDEN>; dated Thu, 29 Aug 2019 14:39:02 UTC; Maintainer for gzip is bug-gzip@HIDDEN.

Message received at 37218 <at> debbugs.gnu.org:


Received: (at 37218) by debbugs.gnu.org; 3 Sep 2019 14:39:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 03 10:39:29 2019
Received: from localhost ([127.0.0.1]:60435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i59xw-0004Kn-Ab
	for submit <at> debbugs.gnu.org; Tue, 03 Sep 2019 10:39:29 -0400
Received: from mail-eopbgr1390082.outbound.protection.outlook.com
 ([40.107.139.82]:5099 helo=IND01-BO1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anoopanand.malik@HIDDEN>) id 1i51w4-0005zS-IJ
 for 37218 <at> debbugs.gnu.org; Tue, 03 Sep 2019 02:05:01 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ELnd+UA1O6pXBkYZgHt5seGbU6OL3F9/FmmUB1RPr+VMf+4+uWNWIXo+LQEqTl2kSbWYtR5OP6nwc67QjM1BOUmLHyEhSfYLY/hl0CGc/FLVrXs7iFSvXxqHPDOUHAJkA1i8DU9Ae1tmliDFvy6fePEojnvkh3qwpPilMMiyozaT/WbqvYPsbLb8NKpv6DuDdZW/PQWLlh+lPzbq41eAnv0v99A1KDW+rMZpvkJ5VfFdZFEgv/jkOxlo/yyqY3J7C87oWbaLFnU1kK3o/UU8HE0iYPTvOw1aG2XvbuUz/yR32b3CpZ03lvG19ayyMwffk7WRWLCIN1FnzggMx8Lrbw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QCrOD3PaufNUt1ol3cGdaAdHYijtlb6Hi8X6g6mT43c=;
 b=R9dw01qZiBJBMj6ENNfvKfrSvDTvXLKW7rGULoIjh86ZBoGJl966LPt5IHL8ra6uDwURQVzlpNwmv6hfA3KM7qHP2BbtkF0hDAzIDqVtkcrV0kK3rvRcO/Wlb8+vt84SyoKGOwgZZvYLm8NUoyozrKATXGFxJ5lAecdaMpOArrsIzjOd/7RMlYzfarnKoMboBnO5RDKgKtUnqGFtkSTS0eiMsVK+1TcyrIKxeylzp9dusifFr1kKsJKQc1UUzu0ILy38i6IrXokp9xaBRkvlZEORwSn7Va+1Xksvs0Msn80DWhQKGTFSp/Dd4W1PAFhWw1z4q4UtvIIz50OQsPc2Nw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=terisas.ac.in; dmarc=pass action=none
 header.from=terisas.ac.in; dkim=pass header.d=terisas.ac.in; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=teriuni.onmicrosoft.com; s=selector2-teriuni-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QCrOD3PaufNUt1ol3cGdaAdHYijtlb6Hi8X6g6mT43c=;
 b=cwtVoJzmf49oYLf25L7D0XTJMj17DILyQRWwf2u/WT88ohCNpZTrQzEueAOVXge/NyIr3z7NnIY3SU6wS2RvJ5aLSc1sL8V/EJzesIVWU2l6TVDUYT9idNL1lJICflofYQIVOsh42Tx02YVU86wtP/DKmMLwFJYgXZX9wy6PQoQ=
Received: from MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM (52.134.133.16) by
 MAXPR0101MB1404.INDPRD01.PROD.OUTLOOK.COM (52.134.129.19) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2220.21; Tue, 3 Sep 2019 06:04:52 +0000
Received: from MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM
 ([fe80::b9ca:c396:4a10:20c9]) by MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM
 ([fe80::b9ca:c396:4a10:20c9%7]) with mapi id 15.20.2220.022; Tue, 3 Sep 2019
 06:04:52 +0000
From: Anoopanand Malik <anoopanand.malik@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>, "37218 <at> debbugs.gnu.org"
 <37218 <at> debbugs.gnu.org>
Subject: Re: bug#37218: Regarding the error "java.util.zip.ZipException:
 Corrupt GZIP trailer"
Thread-Topic: bug#37218: Regarding the error "java.util.zip.ZipException:
 Corrupt GZIP trailer"
Thread-Index: AQHVXj3WT5/LZyZGBEiv2Cr2mIDRG6cUdVaAgAUHFWY=
Date: Tue, 3 Sep 2019 06:04:51 +0000
Message-ID: <MAXPR0101MB18835593B8527E7DB0A7AFA9C3B90@HIDDEN>
References: <MAXPR0101MB18837DE26928D51B4097E562C3A20@HIDDEN>,
 <f708ef40-a50f-a5da-a47e-3a81620e7269@HIDDEN>
In-Reply-To: <f708ef40-a50f-a5da-a47e-3a81620e7269@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=anoopanand.malik@HIDDEN; 
x-originating-ip: [14.141.49.238]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a196f591-77ec-4c90-5d37-08d73034a29f
x-microsoft-antispam: BCL:0; PCL:0;
 RULEID:(2390118)(7020095)(4652040)(8989299)(4534185)(7168020)(4627221)(201703031133081)(201702281549075)(8990200)(5600166)(711020)(4605104)(1401327)(2017052603328)(7193020);
 SRVR:MAXPR0101MB1404; 
x-ms-traffictypediagnostic: MAXPR0101MB1404:
x-ms-exchange-transport-forked: True
x-microsoft-antispam-prvs: <MAXPR0101MB1404A81F97D7D7986D3D475DC3B90@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:5797;
x-forefront-prvs: 01494FA7F7
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(346002)(136003)(376002)(39850400004)(396003)(366004)(199004)(189003)(8936002)(19627405001)(110136005)(86362001)(54906003)(5660300002)(2906002)(9686003)(14454004)(786003)(74316002)(54896002)(6436002)(66066001)(2501003)(33656002)(81156014)(81166006)(6116002)(7736002)(55016002)(8676002)(229853002)(3846002)(26005)(71190400001)(71200400001)(486006)(102836004)(7696005)(476003)(66946007)(4326008)(316002)(76116006)(186003)(105004)(6506007)(53546011)(25786009)(64756008)(66556008)(66476007)(66446008)(478600001)(52536014)(256004)(413944005)(99286004)(76176011)(107886003)(11346002)(446003)(55236004)(53936002)(2171002)(44832011)(6246003)(80872003);
 DIR:OUT; SFP:1101; SCL:1; SRVR:MAXPR0101MB1404;
 H:MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: terisas.ac.in does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam-message-info: FzQSK6UqXeXRKVWi5OSA4s2VS64z+ZIoiCzO/nEcQnbBcbV/eClgk1vskiKtfen9OLVMGoGkOO3DTZzkI35fXlRP/DIFAXtva0AIy2EzrJDKGFqwBsxVlbi7j6WA5hA/7iEFq847gGMdwvkxWhHDQNTb8dsIxPugdFuCNhh+wj/NXlH/snKv5p6S8JP7ZuHg7qZnC6frXfZZGmnuUV17Vr6xYSEGetgNQoZ8sJlM71IRprdSOPCQSTJpm/CGqSQO70oUgPfEaoaOK3S+Xg4fPJsKnS466xCqY8eo7272soCvTyDGnN5n53xLenKD+Q7azl8OuzmhQ5SD0nfoywaV673SqJnw+ePZS0eMxG4h74QL0pUdnpsF63ltoMOYh2kl86n0cJpWAuLFBUO3ZRRUkthcRUBP4G31ucu03gpyf38=
Content-Type: multipart/alternative;
 boundary="_000_MAXPR0101MB18835593B8527E7DB0A7AFA9C3B90MAXPR0101MB1883_"
MIME-Version: 1.0
X-OriginatorOrg: terisas.ac.in
X-MS-Exchange-CrossTenant-Network-Message-Id: a196f591-77ec-4c90-5d37-08d73034a29f
X-MS-Exchange-CrossTenant-originalarrivaltime: 03 Sep 2019 06:04:51.9260 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 5414b437-dda3-4010-8995-a32d07c57b23
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: /nYW+i+p2vmgNoXd1MBjum8T/BEmlI3nRrMUqdIaWgJrjd/TberjSIPZzMaiyWoQDNKgeUie8+RsmccTftDo+50i6Ox6rT2JZfLdPKlghXY=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MAXPR0101MB1404
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Dear Paul,
 Many thanks for your prompt reply. I have thoroughly
 checked myself and confirmed from the perl script developers as well.
 According
 to the developers, everything seems fine with the script codes. Aft [...]
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [14.141.49.238 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.107.139.82 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
X-Debbugs-Envelope-To: 37218
X-Mailman-Approved-At: Tue, 03 Sep 2019 10:39:25 -0400
Cc: Anoop Anand Malik <anoopanandmalik@HIDDEN>,
 Shashi Bhushan Tripathi <shashi.tripathi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--_000_MAXPR0101MB18835593B8527E7DB0A7AFA9C3B90MAXPR0101MB1883_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Dear Paul,

Many thanks for your prompt reply. I have thoroughly checked myself and con=
firmed from the perl script developers as well. According to the developers=
, everything seems fine with the script codes. After writing to you, I trie=
d running the same script several times (note: without any modification) an=
d I got different values at each run. But the error was same "Corrupt GZIP =
trailer". I am still trying to solve and rectify the error.

Thanks and regards
Anoop Anand Malik
India
________________________________
From: Paul Eggert <eggert@HIDDEN>
Sent: Saturday, August 31, 2019 6:40 AM
To: Anoopanand Malik <anoopanand.malik@HIDDEN>; 37218@HIDDEN=
g <37218 <at> debbugs.gnu.org>
Cc: Anoop Anand Malik <anoopanandmalik@HIDDEN>; Shashi Bhushan Tripathi =
<shashi.tripathi@HIDDEN>
Subject: Re: bug#37218: Regarding the error "java.util.zip.ZipException: Co=
rrupt GZIP trailer"

On 8/29/19 1:12 AM, Anoopanand Malik wrote:
> java.util.zip.ZipException: Corrupt GZIP trailer

I don't see how this is a gzip bug, since gzip is written in C. It
sounds like you're having a problme with some Java code somewhere, which
would be some project other than GNU gzip.

--_000_MAXPR0101MB18835593B8527E7DB0A7AFA9C3B90MAXPR0101MB1883_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<style type=3D"text/css" style=3D"display:none;"> P {margin-top:0;margin-bo=
ttom:0;} </style>
</head>
<body dir=3D"ltr">
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Dear Paul,</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Many thanks for your prompt reply. I have thoroughly checked myself and con=
firmed from the perl script developers as well. According to the developers=
, everything seems fine with the script codes. After writing to you, I trie=
d running the same script several
 times (note: without any modification) and I got different values at each =
run. But the error was same &quot;Corrupt GZIP trailer&quot;. I am still tr=
ying to solve and rectify the error.</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Thanks and regards</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Anoop Anand Malik</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
India&nbsp; <br>
</div>
<div id=3D"appendonsend"></div>
<hr style=3D"display:inline-block;width:98%" tabindex=3D"-1">
<div id=3D"divRplyFwdMsg" dir=3D"ltr"><font face=3D"Calibri, sans-serif" st=
yle=3D"font-size:11pt" color=3D"#000000"><b>From:</b> Paul Eggert &lt;egger=
t@HIDDEN&gt;<br>
<b>Sent:</b> Saturday, August 31, 2019 6:40 AM<br>
<b>To:</b> Anoopanand Malik &lt;anoopanand.malik@HIDDEN&gt;; 37218@d=
ebbugs.gnu.org &lt;37218 <at> debbugs.gnu.org&gt;<br>
<b>Cc:</b> Anoop Anand Malik &lt;anoopanandmalik@HIDDEN&gt;; Shashi Bhus=
han Tripathi &lt;shashi.tripathi@HIDDEN&gt;<br>
<b>Subject:</b> Re: bug#37218: Regarding the error &quot;java.util.zip.ZipE=
xception: Corrupt GZIP trailer&quot;</font>
<div>&nbsp;</div>
</div>
<div class=3D"BodyFragment"><font size=3D"2"><span style=3D"font-size:11pt;=
">
<div class=3D"PlainText">On 8/29/19 1:12 AM, Anoopanand Malik wrote:<br>
&gt; java.util.zip.ZipException: Corrupt GZIP trailer<br>
<br>
I don't see how this is a gzip bug, since gzip is written in C. It <br>
sounds like you're having a problme with some Java code somewhere, which <b=
r>
would be some project other than GNU gzip.<br>
</div>
</span></font></div>
</body>
</html>

--_000_MAXPR0101MB18835593B8527E7DB0A7AFA9C3B90MAXPR0101MB1883_--




Information forwarded to bug-gzip@HIDDEN:
bug#37218; Package gzip. Full text available.

Message received at 37218 <at> debbugs.gnu.org:


Received: (at 37218) by debbugs.gnu.org; 31 Aug 2019 01:10:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 30 21:10:54 2019
Received: from localhost ([127.0.0.1]:54905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i3ruo-0005yy-GZ
	for submit <at> debbugs.gnu.org; Fri, 30 Aug 2019 21:10:54 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:51652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i3rul-0005yd-Fv
 for 37218 <at> debbugs.gnu.org; Fri, 30 Aug 2019 21:10:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0867F1600CE;
 Fri, 30 Aug 2019 18:10:45 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id bGrWj4ruX3Yl; Fri, 30 Aug 2019 18:10:44 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 521A71600AE;
 Fri, 30 Aug 2019 18:10:44 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 4dHUVUtUxKB3; Fri, 30 Aug 2019 18:10:44 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 30E731600A9;
 Fri, 30 Aug 2019 18:10:44 -0700 (PDT)
Subject: Re: bug#37218: Regarding the error "java.util.zip.ZipException:
 Corrupt GZIP trailer"
To: Anoopanand Malik <anoopanand.malik@HIDDEN>, 37218 <at> debbugs.gnu.org
References: <MAXPR0101MB18837DE26928D51B4097E562C3A20@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <f708ef40-a50f-a5da-a47e-3a81620e7269@HIDDEN>
Date: Fri, 30 Aug 2019 18:10:43 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <MAXPR0101MB18837DE26928D51B4097E562C3A20@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37218
Cc: Anoop Anand Malik <anoopanandmalik@HIDDEN>,
 Shashi Bhushan Tripathi <shashi.tripathi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 8/29/19 1:12 AM, Anoopanand Malik wrote:
> java.util.zip.ZipException: Corrupt GZIP trailer

I don't see how this is a gzip bug, since gzip is written in C. It 
sounds like you're having a problme with some Java code somewhere, which 
would be some project other than GNU gzip.




Information forwarded to bug-gzip@HIDDEN:
bug#37218; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2019 14:38:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 29 10:38:51 2019
Received: from localhost ([127.0.0.1]:52789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i3LZZ-000895-Kk
	for submit <at> debbugs.gnu.org; Thu, 29 Aug 2019 10:38:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:53108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anoopanand.malik@HIDDEN>) id 1i3FXV-0005Vw-KX
 for submit <at> debbugs.gnu.org; Thu, 29 Aug 2019 04:12:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54497)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <anoopanand.malik@HIDDEN>) id 1i3FXS-0006s8-PO
 for bug-gzip@HIDDEN; Thu, 29 Aug 2019 04:12:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RCVD_IN_DNSWL_NONE, RCVD_IN_SORBS_WEB, RECEIVED_FROM_WINDOWS_HOST,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <anoopanand.malik@HIDDEN>) id 1i3FXP-0000B3-Uy
 for bug-gzip@HIDDEN; Thu, 29 Aug 2019 04:12:14 -0400
Received: from mail-eopbgr1380080.outbound.protection.outlook.com
 ([40.107.138.80]:50432 helo=IND01-MA1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <anoopanand.malik@HIDDEN>)
 id 1i3FXO-000060-Tu
 for bug-gzip@HIDDEN; Thu, 29 Aug 2019 04:12:11 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=R0RIRXVrD83mhSqNbJ+Zwmk1Js/Ct7zIxCxsP7vPipQjNPbJSfa6kKbHPIK9QPJwVseAP3VniPTMYVyisgrJ9fDJZo73QGIkYKqWW4VAbRmFkkNmTWfGCpw2o8eQQCmvW+lffCuSaxi9EEihqeC089QsvUgx1a68fOKqz1NUCZt/B7uXW+fEcCTM8yzdQ333q3NjTHA8XIcqARXUDG+TCMwG1+5B+ODKDNcsN6X3z5OAhygcLxBZSpArUxM3ZWESxmVioM8WszK1NdZyIZB3Z1JDqYOmumsN3Z1e3uhuR2ir+SwTDlUxAB64mGFGQ/tVM35oA57lVL/JDBLOQ+SA0w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=CxtUnBSJsmlFdiLq5M+o0qCegmPP9aZABgoCMW22Zr4=;
 b=OhQPeK7QsevCo/4bkOIlnF4h8ZHK35k9L0QfKYVKs75nW024b3e2rpRhpgEMiCzQKOwbdzMjXFd6/e2wV2wNR/HlB6RJXBM+BO4GTBfraZWNiBcLI3JA7tZpUo4kxtqj7otviKVd7iKwiL8kMIP3V4FuX6STzEyb1QJQZEvsKNK7Dr8qKlDgugp2vTKW7ftaPBJ7KBB4lIPijMbSX7L50/AjdglUjQQGkI0Mm0P3EenT6PJTboTDLyxTk/V6w/6gxiUIgmI+7gfJiWnXcKtsSiCoCyrVtw140jgbSk8RRyK8OE4lOi9q/FwPKJVXBnLv2r9HuWVSbEQvzRACcFzR4g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=terisas.ac.in; dmarc=pass action=none
 header.from=terisas.ac.in; dkim=pass header.d=terisas.ac.in; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=teriuni.onmicrosoft.com; s=selector2-teriuni-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=CxtUnBSJsmlFdiLq5M+o0qCegmPP9aZABgoCMW22Zr4=;
 b=q9YPHBK/U6+LScLsRXqNUX+SJz+DyS7rIl3c01cw4dSgoYICXDkBx4Ms2WnqYYO8IFNq3HAZo3XOfwZbUST4MgoWXaf1pmQOQV9DrthDC0LzbwQ+TOw8CC3Nn0Mhk09NL34xEb7jmf80tlqURJaZj/R64wej23/9XuRajZwtg3Q=
Received: from MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM (52.134.133.16) by
 MAXPR0101MB1532.INDPRD01.PROD.OUTLOOK.COM (52.134.130.23) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2220.18; Thu, 29 Aug 2019 08:12:03 +0000
Received: from MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM
 ([fe80::d821:257d:32f2:5cf]) by MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM
 ([fe80::d821:257d:32f2:5cf%12]) with mapi id 15.20.2178.023; Thu, 29 Aug 2019
 08:12:03 +0000
From: Anoopanand Malik <anoopanand.malik@HIDDEN>
To: "bug-gzip@HIDDEN" <bug-gzip@HIDDEN>
Subject: Regarding the error "java.util.zip.ZipException: Corrupt GZIP trailer"
Thread-Topic: Regarding the error "java.util.zip.ZipException: Corrupt GZIP
 trailer"
Thread-Index: AQHVXj3WT5/LZyZGBEiv2Cr2mIDRGw==
Date: Thu, 29 Aug 2019 08:12:02 +0000
Message-ID: <MAXPR0101MB18837DE26928D51B4097E562C3A20@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=anoopanand.malik@HIDDEN; 
x-originating-ip: [14.141.49.238]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: a5b61166-19e0-4a6f-f8a9-08d72c5892f3
x-microsoft-antispam: BCL:0; PCL:0;
 RULEID:(2390118)(7020095)(4652040)(8989299)(4534185)(7168020)(4627221)(201703031133081)(201702281549075)(8990200)(5600166)(711020)(4605104)(1401327)(2017052603328)(7193020);
 SRVR:MAXPR0101MB1532; 
x-ms-traffictypediagnostic: MAXPR0101MB1532:
x-ms-exchange-transport-forked: True
x-microsoft-antispam-prvs: <MAXPR0101MB153212012C24B32D20DCE2DFC3A20@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-forefront-prvs: 0144B30E41
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10009020)(366004)(346002)(136003)(376002)(39840400004)(396003)(199004)(189003)(66066001)(6306002)(54896002)(9686003)(55016002)(107886003)(5640700003)(99286004)(53936002)(55236004)(6506007)(105004)(52536014)(54906003)(25786009)(66476007)(66946007)(66446008)(64756008)(66556008)(76116006)(6436002)(5660300002)(486006)(476003)(478600001)(71190400001)(71200400001)(91956017)(44832011)(7696005)(256004)(14444005)(2351001)(86362001)(3846002)(33656002)(186003)(81156014)(81166006)(8676002)(8936002)(26005)(786003)(102836004)(14454004)(316002)(4326008)(7736002)(19627405001)(6916009)(2906002)(6116002)(2501003)(74316002)(2004002)(80872003);
 DIR:OUT; SFP:1101; SCL:1; SRVR:MAXPR0101MB1532;
 H:MAXPR0101MB1883.INDPRD01.PROD.OUTLOOK.COM; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: terisas.ac.in does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam-message-info: mNAoKrhiERAl1xsTLevpHRrFK0f3CzH7vdLSCmmdXRYB+IA8qBjyLkpmBuNGG8j2sFOzePaBkc+ty39vSDZjjXO3wcokNt6UolWriJWWb0WVkoVngy7RcIcUm11PRjxBuHc5E3VkdJNSl7vsjvyKJhUtJFPMHeILAjz32iNgp2I00KSWouLFKpJYAFMDzW7tXBnvTaAM8P3j4ZhzGXhc7kYmpXKKJ36bVRU/NABNqoH3yfs6LiIrFeNeXZbpXqagdez0smAsBbbQuMc4fnO4D9XnmlbkgspLLlOOTSGUi3SKwxiFtsTxZWImUupHHpIVgvmX6x1FT+2spGlnIwu0aNb1QBSHWfw4e/nlBRlljYvjkFmE0RZsnOjw8IUiZeZP5ZDnYn3iXIMfbVYVbHby53slVhTE/kLjohHUkxlCgQc=
Content-Type: multipart/alternative;
 boundary="_000_MAXPR0101MB18837DE26928D51B4097E562C3A20MAXPR0101MB1883_"
MIME-Version: 1.0
X-OriginatorOrg: terisas.ac.in
X-MS-Exchange-CrossTenant-Network-Message-Id: a5b61166-19e0-4a6f-f8a9-08d72c5892f3
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Aug 2019 08:12:02.2724 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 5414b437-dda3-4010-8995-a32d07c57b23
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: ZMnxkC9NBmaBVc9xhISb5O1NYImod9aey48ySktIkkjmevK5Qk4cFCGUqGH3r5ySZVdP9aGmhq88br+ZQT7faotmD0K1q6RGRqAwMJBsIIg=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MAXPR0101MB1532
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-Received-From: 40.107.138.80
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 29 Aug 2019 10:38:48 -0400
Cc: Anoop Anand Malik <anoopanandmalik@HIDDEN>,
 Shashi Bhushan Tripathi <shashi.tripathi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--_000_MAXPR0101MB18837DE26928D51B4097E562C3A20MAXPR0101MB1883_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Dear Jim and Paul,

Greetings from India!!

I have been using Ubuntu since last 3 years and working large data-sets for=
 my biotechnology related analysis. I installed Ubuntu 18.04 LTS on a new w=
orking station (with specifications : 1 TB HDD, 32 GB RAM, 64-bit). This sy=
stem is a dual boot system as it also has Windows 10 as an operating system=
.

I used to receive large sequencing files (or raw files) with an extension .=
gz (gzipped) which were usually downloaded from the ftp servers. The script=
s for my analysis frequently include gunziping and gziping commands of the =
same raw file. Presently, I am using the following java version "openjdk  1=
1.0.4" and GNU version

gunzip (gzip) 1.6
Copyright (C) 2007, 2011-2013 Free Software Foundation, Inc.
This is free software.  You may redistribute copies of it under the terms o=
f
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.


Since last few days, I am constantly facing the below mentioned error:

java.util.zip.ZipException: Corrupt GZIP trailer
at java.base/java.util.zip.GZIPInputStream.readTrailer(GZIPInputStream.java=
:226)
at java.base/java.util.zip.GZIPInputStream.read(GZIPInputStream.java:120)
at java.base/sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:284)
at java.base/sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:326)
at java.base/sun.nio.cs.StreamDecoder.read(StreamDecoder.java:178)
at java.base/java.io.InputStreamReader.read(InputStreamReader.java:185)
at java.base/java.io.BufferedReader.fill(BufferedReader.java:161)
at java.base/java.io.BufferedReader.readLine(BufferedReader.java:326)
at java.base/java.io.BufferedReader.readLine(BufferedReader.java:392)
at net.maizegenetics.analysis.gbs.v2.GBSUtils.readFastQBlock(GBSUtils.java:=
54)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQ(GBSSe=
qToTagDBPlugin.java:309)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQFile(G=
BSSeqToTagDBPlugin.java:291)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.lambda$processData=
$112(GBSSeqToTagDBPlugin.java:229)
at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.=
java:183)
at java.base/java.util.ArrayList$ArrayListSpliterator.forEachRemaining(Arra=
yList.java:1654)
at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.ja=
va:484)
at java.base/java.util.stream.ForEachOps$ForEachTask.compute(ForEachOps.jav=
a:290)
at java.base/java.util.concurrent.CountedCompleter.exec(CountedCompleter.ja=
va:746)
at java.base/java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.java:290=
)
at java.base/java.util.concurrent.ForkJoinTask.doInvoke(ForkJoinTask.java:4=
08)
at java.base/java.util.concurrent.ForkJoinTask.invoke(ForkJoinTask.java:736=
)
at java.base/java.util.stream.ForEachOps$ForEachOp.evaluateParallel(ForEach=
Ops.java:159)
at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateParallel(F=
orEachOps.java:173)
at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.ja=
va:233)
at java.base/java.util.stream.ReferencePipeline.forEach(ReferencePipeline.j=
ava:497)
at java.base/java.util.stream.ReferencePipeline$Head.forEach(ReferencePipel=
ine.java:661)
at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processData(GBSSeq=
ToTagDBPlugin.java:227)
at net.maizegenetics.plugindef.AbstractPlugin.performFunction(AbstractPlugi=
n.java:111)
at net.maizegenetics.plugindef.AbstractPlugin.dataSetReturned(AbstractPlugi=
n.java:1750)
at net.maizegenetics.plugindef.ThreadedPluginListener.run(ThreadedPluginLis=
tener.java:29)
at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.=
java:515)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolEx=
ecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolE=
xecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)

This error was not observed with the old files which were analyzed before t=
he installation of this working station. I would like to request you to sol=
ve this bug as I am unable to proceed further with this error and I would b=
e happy to answer any other query/information regarding the same.

Thanks and regards

Anoop Anand Malik
C/o Dr (Prof) Shashi Bhushan Tripathi
TERI School of Advanced Studies (TERI SAS)
New Delhi, India


--_000_MAXPR0101MB18837DE26928D51B4097E562C3A20MAXPR0101MB1883_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-=
1">
<style type=3D"text/css" style=3D"display:none;"> P {margin-top:0;margin-bo=
ttom:0;} </style>
</head>
<body dir=3D"ltr">
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Dear Jim and Paul,</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
Greetings from India!!</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
I have been using Ubuntu since last 3 years and working large data-sets for=
 my biotechnology related analysis. I installed Ubuntu 18.04 LTS on a new w=
orking station (with specifications : 1 TB HDD, 32 GB RAM, 64-bit). This sy=
stem is a dual boot system as it
 also has Windows 10 as an operating system.</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
I used to receive large sequencing files (or raw files) with an extension .=
gz (gzipped) which were usually downloaded from the ftp servers. The script=
s for my analysis frequently include gunziping and gziping commands of the =
same raw file. Presently, I am using
 the following java version &quot;openjdk&nbsp; 11.0.4&quot; and GNU versio=
n<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<br>
</div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><b>gunzip (gzip) 1.6</b><br>
</span>
<div>Copyright (C) 2007, 2011-2013 Free Software Foundation, Inc.<br>
</div>
<div>This is free software. &nbsp;You may redistribute copies of it under t=
he terms of<br>
</div>
<div>the GNU General Public License &lt;http://www.gnu.org/licenses/gpl.htm=
l&gt;.<br>
</div>
<span>There is NO WARRANTY, to the extent permitted by law.</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>Since last few days, I am constantly facing the below mentioned error=
:</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<b><span><br>
</span></b></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><span><b>java.util.zip.ZipException: Corrupt GZIP trailer</b><br>
</span>
<div>at java.base/java.util.zip.GZIPInputStream.readTrailer(GZIPInputStream=
.java:226)<br>
</div>
<div>at java.base/java.util.zip.GZIPInputStream.read(GZIPInputStream.java:1=
20)<br>
</div>
<div>at java.base/sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:284=
)<br>
</div>
<div>at java.base/sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:326)=
<br>
</div>
<div>at java.base/sun.nio.cs.StreamDecoder.read(StreamDecoder.java:178)<br>
</div>
<div>at java.base/java.io.InputStreamReader.read(InputStreamReader.java:185=
)<br>
</div>
<div>at java.base/java.io.BufferedReader.fill(BufferedReader.java:161)<br>
</div>
<div>at java.base/java.io.BufferedReader.readLine(BufferedReader.java:326)<=
br>
</div>
<div>at java.base/java.io.BufferedReader.readLine(BufferedReader.java:392)<=
br>
</div>
<div>at net.maizegenetics.analysis.gbs.v2.GBSUtils.readFastQBlock(GBSUtils.=
java:54)<br>
</div>
<div>at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQ(=
GBSSeqToTagDBPlugin.java:309)<br>
</div>
<div>at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processFastQF=
ile(GBSSeqToTagDBPlugin.java:291)<br>
</div>
<div>at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.lambda$proces=
sData$112(GBSSeqToTagDBPlugin.java:229)<br>
</div>
<div>at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEac=
hOps.java:183)<br>
</div>
<div>at java.base/java.util.ArrayList$ArrayListSpliterator.forEachRemaining=
(ArrayList.java:1654)<br>
</div>
<div>at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeli=
ne.java:484)<br>
</div>
<div>at java.base/java.util.stream.ForEachOps$ForEachTask.compute(ForEachOp=
s.java:290)<br>
</div>
<div>at java.base/java.util.concurrent.CountedCompleter.exec(CountedComplet=
er.java:746)<br>
</div>
<div>at java.base/java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.jav=
a:290)<br>
</div>
<div>at java.base/java.util.concurrent.ForkJoinTask.doInvoke(ForkJoinTask.j=
ava:408)<br>
</div>
<div>at java.base/java.util.concurrent.ForkJoinTask.invoke(ForkJoinTask.jav=
a:736)<br>
</div>
<div>at java.base/java.util.stream.ForEachOps$ForEachOp.evaluateParallel(Fo=
rEachOps.java:159)<br>
</div>
<div>at java.base/java.util.stream.ForEachOps$ForEachOp$OfRef.evaluateParal=
lel(ForEachOps.java:173)<br>
</div>
<div>at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeli=
ne.java:233)<br>
</div>
<div>at java.base/java.util.stream.ReferencePipeline.forEach(ReferencePipel=
ine.java:497)<br>
</div>
<div>at java.base/java.util.stream.ReferencePipeline$Head.forEach(Reference=
Pipeline.java:661)<br>
</div>
<div>at net.maizegenetics.analysis.gbs.v2.GBSSeqToTagDBPlugin.processData(G=
BSSeqToTagDBPlugin.java:227)<br>
</div>
<div>at net.maizegenetics.plugindef.AbstractPlugin.performFunction(Abstract=
Plugin.java:111)<br>
</div>
<div>at net.maizegenetics.plugindef.AbstractPlugin.dataSetReturned(Abstract=
Plugin.java:1750)<br>
</div>
<div>at net.maizegenetics.plugindef.ThreadedPluginListener.run(ThreadedPlug=
inListener.java:29)<br>
</div>
<div>at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Execu=
tors.java:515)<br>
</div>
<div>at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)<=
br>
</div>
<div>at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadP=
oolExecutor.java:1128)<br>
</div>
<div>at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(Thread=
PoolExecutor.java:628)<br>
</div>
<span>at java.base/java.lang.Thread.run(Thread.java:834)</span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>This error was not observed with the old files which were analyzed be=
fore the installation of this working station. I would like to request you =
to solve this bug as I am unable to proceed further with this error and I w=
ould be happy to answer any other
 query/information regarding the same.<br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>Thanks and regards</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span><br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>Anoop Anand Malik</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>C/o Dr (Prof) Shashi Bhushan Tripathi</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>TERI School of Advanced Studies (TERI SAS)<br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span>New Delhi, India<br>
</span></div>
<div style=3D"font-family: Calibri, Arial, Helvetica, sans-serif; font-size=
: 12pt; color: rgb(0, 0, 0);">
<span></span><br>
</div>
</body>
</html>

--_000_MAXPR0101MB18837DE26928D51B4097E562C3A20MAXPR0101MB1883_--




Acknowledgement sent to Anoopanand Malik <anoopanand.malik@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#37218; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.